Package org.apache.ignite.internal.management.snapshot

## Class SnapshotJob<A,​R>

- java.lang.Object
- - org.apache.ignite.compute.ComputeJobAdapter
  - - org.apache.ignite.internal.visor.VisorJob<A,​R>
    - - org.apache.ignite.internal.management.snapshot.SnapshotJob<A,​R>

All Implemented Interfaces:
  `Serializable`, `Callable<Object>`, `ComputeJob`, `PublicAccessJob`

    public abstract class SnapshotJob<A,​R>
    extends VisorJob<A,​R>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorJob

`debug, ignite, start`

### Constructor Summary

Constructors
`protected` `SnapshotJob​(A arg, boolean debug)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SecurityPermissionSet` `requiredPermissions()`

### Methods inherited from class org.apache.ignite.internal.visor.VisorJob

`execute, run`

### Methods inherited from class org.apache.ignite.compute.ComputeJobAdapter

`argument, arguments, call, cancel, isCancelled, setArguments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SnapshotJob

    protected SnapshotJob​(@Nullable
                          A arg,
                          boolean debug)

### Method Detail

#### requiredPermissions

    public SecurityPermissionSet requiredPermissions()

Specified by:
  `requiredPermissions` in interface `PublicAccessJob`
Overrides:
  `requiredPermissions` in class `VisorJob<A,​R>`
Returns:
  Set of permissions to be authorized before job execution.